Foreman - Bug #13160

Pagelet tab headings are not translated
01/12/2016 10:39 AM - Dominic Cleal

Status:
Priority:
Assignee:
Category:

Target version:

Closed

Normal

Ondfrej Prazak
Internationalization

1.11.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3059
Description

The tab headings registered through the pagelets system in #12716 are not translated when rendered.

The rendering of tabs uses the pagelet name (
https://github.com/theforeman/foreman/commit/33f7c66c¢311dad5e242fc0034d5cf2ebd7a7ffec#diff-2e05ad7f6b6cd8cale79937af504

ec78R27) which is specified during the plugin registration. It's possible for the text to be extracted in the registration, but it would
have to be translated inline.

Related issues:

Related to Foreman - Feature #12716: As a foreman developer I'd like to have ...

Closed

12/07/2015

Associated revisions

Revision c9a68e50 - 01/13/2016 08:21 AM - Ondrej Prazak

Fixes #13160 - pagelet tab names gets translated

History

#1 - 01/12/2016 10:39 AM - Dominic Cleal

- Related to Feature #12716: As a foreman developer I'd like to have way of extending the data returned from smart proxy api. added

#2 - 01/12/2016 12:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondrej PraZak

- Pull request https://github.com/theforeman/foreman/pull/3059 added

#3 - 01/13/2016 09:02 AM - Ondfej Prazak

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c9a68e5040b70c825bdae4531af293d4e5144277.

05/23/2024

1/1



https://projects.theforeman.org/issues/12716
https://github.com/theforeman/foreman/commit/33f7c66c311da45e242fc0034d5cf2ebd7a7ffec#diff-2e05ad7f6b6cd8ca1e79937af504ec78R27
https://github.com/theforeman/foreman/commit/33f7c66c311da45e242fc0034d5cf2ebd7a7ffec#diff-2e05ad7f6b6cd8ca1e79937af504ec78R27
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c9a68e5040b70c825bdae4531af293d4e5144277
http://www.tcpdf.org

